#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long int n;
    long long int x;
    cin>>n>>x;
    long long int mini,maxi;
    mini=x;maxi=x;
    long long int g;
    for(int i=0;i<n;++i){
        cin>>g;
        if(g>=maxi){
            maxi=g;
        }
        if(g<=mini){
            mini=g;
        }
    }
    long long int z,m;
    m=x;
    if(m-mini<maxi-m){
            z=m+maxi-2*mini;
    }
    else{
            z=2*maxi-m-mini;
        }
    cout<<z<<endl;
    return 0;
}